import request from '@/utils/request'

//获取扣费方案
export function getDeductionList() {
  return request({
    url: '/deductionPlan/getDeductionList',
    method: 'get',
  })
}

//根据id获取扣费方案
export function getDeductionById(id) {
  return request({
    url: '/deductionPlan/getDeductionById/'+id,
    method: 'get',
  })
}
//更新获取扣费方案
export function updateDeduction(data) {
  data.breakfastBasePrice*=100
  data.breakfastFormalPrice*=100
  data.lunchBasePrice*=100
  data.lunchFormalPrice*=100
  data.supperBasePrice*=100
  data.supperFormalPrice*=100
  return request({
    url: '/deductionPlan/updateDeduction',
    method: 'put',
    data:data
  })
}
